# Uses of Interface
java.awt.dnd.DragGestureListener

Packages that use DragGestureListener
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.awt.dnd
Drag and Drop is a direct manipulation gesture found in many Graphical User Interface systems that provides a mechanism to transfer information between two entities logically associated with presentation elements in the GUI.

## Uses of DragGestureListener in java.awt

Methods in java.awt with parameters of type DragGestureListener
Modifier and Type
Method
Description
`<T extends DragGestureRecognizer>
T`
Toolkit.`createDragGestureRecognizer(Class<T> abstractRecognizerClass, DragSource ds, Component c, int srcActions, DragGestureListener dgl)`
Creates a concrete, platform dependent, subclass of the abstract DragGestureRecognizer class requested, and associates it with the DragSource, Component and DragGestureListener specified.

## Uses of DragGestureListener in java.awt.dnd

Fields in java.awt.dnd declared as DragGestureListener
Modifier and Type
Field
Description
`protected DragGestureListener`
DragGestureRecognizer.`dragGestureListener`
The `DragGestureListener` associated with this `DragGestureRecognizer`.
Methods in java.awt.dnd with parameters of type DragGestureListener
Modifier and Type
Method
Description
`void`
DragGestureRecognizer.`addDragGestureListener(DragGestureListener dgl)`
Register a new `DragGestureListener`.
`DragGestureRecognizer`
DragSource.`createDefaultDragGestureRecognizer(Component c, int actions, DragGestureListener dgl)`
Creates a new `DragGestureRecognizer` that implements the default abstract subclass of `DragGestureRecognizer` for this `DragSource`, and sets the specified `Component` and `DragGestureListener` on the newly created object.
`<T extends DragGestureRecognizer>
T`
DragSource.`createDragGestureRecognizer(Class<T> recognizerAbstractClass, Component c, int actions, DragGestureListener dgl)`
Creates a new `DragGestureRecognizer` that implements the specified abstract subclass of `DragGestureRecognizer`, and sets the specified `Component` and `DragGestureListener` on the newly created object.
`void`
DragGestureRecognizer.`removeDragGestureListener(DragGestureListener dgl)`
unregister the current DragGestureListener
Constructors in java.awt.dnd with parameters of type DragGestureListener
Modifier
Constructor
Description
`protected`
`DragGestureRecognizer(DragSource ds, Component c, int sa, DragGestureListener dgl)`
Construct a new `DragGestureRecognizer` given the `DragSource` to be used in this Drag and Drop operation, the `Component` this `DragGestureRecognizer` should "observe" for drag initiating gestures, the action(s) supported for this Drag and Drop operation, and the `DragGestureListener` to notify once a drag initiating gesture has been detected.
`protected`
`MouseDragGestureRecognizer(DragSource ds, Component c, int act, DragGestureListener dgl)`
Construct a new `MouseDragGestureRecognizer` given the `DragSource` for the `Component` c, the `Component` to observe, the action(s) permitted for this drag operation, and the `DragGestureListener` to notify when a drag gesture is detected.